<?xml version="1.0" encoding="UTF-8" ?>
<web-app xmlns="http://java.sun.com/xml/ns/javaee" version="2.5" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	 xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd">

	<display-name>tclivem2m_red5_chat</display-name>
	
	<servlet>
		<servlet-name>Proxy</servlet-name>
		<display-name>This is the display name of my J2EE component</display-name>
		<description>This is the description of my J2EE component</description>
		<servlet-class>com.tenchong.tclive.chat.servlet.Proxy</servlet-class>
	</servlet>
	
	<servlet-mapping>
		<servlet-name>Proxy</servlet-name>
		<url-pattern>/servlet/Proxy</url-pattern>
	</servlet-mapping>

	<welcome-file-list>
		<welcome-file>index.html</welcome-file>
	</welcome-file-list>

	<security-constraint>
		<web-resource-collection>
			<web-resource-name>Forbidden</web-resource-name>
			<url-pattern>/WEB-INF/*</url-pattern>
		</web-resource-collection>
		<auth-constraint />
	</security-constraint>

	<security-constraint>
		<web-resource-collection>
			<web-resource-name>Forbidden</web-resource-name>
			<url-pattern>/persistence/*</url-pattern>
		</web-resource-collection>
		<auth-constraint />
	</security-constraint>
	
</web-app>
